package cn.com.ty.lift.business.emergency.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 临修记录
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EmergencyRepair implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 公司ID
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 电梯ID
     */
    @TableField("lift_id")
    private Long liftId;

    /**
     * 项目id
     */
    @TableField("project_id")
    private Long projectId;

    /**
     * 是否关人
     */
    @TableField("is_trapped")
    private Integer isTrapped;

    /**
     * 是否紧急（0 否；1 是）
     */
    @TableField("is_critical")
    private Integer isCritical;

    /**
     * 报修故障描述
     */
    @TableField("caller_fault_description")
    private String callerFaultDescription;

    /**
     * 报修来源（1 物业；2 维保；3 物联）
     */
    @TableField("source")
    private Integer source;

    /**
     * 报修人ID ,2.0 报修人是指派人
     */
    @TableField("caller_id")
    private Long callerId;

    /**
     * 报修人名
     */
    @TableField("caller_name")
    private String callerName;
    /**
     * 报修人电话
     */
    @TableField("caller_tel")
    private String callerTel;

    /**
     * 报修时间 手动填写
     */
    @TableField("caller_date")
    private LocalDateTime callerDate;

    /**
     * 停梯时间
     */
    @TableField("stop_date")
    private LocalDateTime stopDate;

    /**
     * 派单时间 急修单创建时间
     */
    @TableField("assign_time")
    private LocalDateTime assignTime;

    /**
     * 接单时间 app端维保工确认
     */
    @TableField("taking_time")
    private LocalDateTime takingTime;

    /**
     *
     * 到达时间 app端维保工打卡
     */
    @TableField("arrive_time")
    private LocalDateTime arriveTime;
    /**
     * 恢复时间
     */
    @TableField("recovery_date")
    private LocalDateTime recoveryDate;

    /**
     * 更换配件
     */
    @TableField("sparepart")
    private String sparepart;

    /**
     * 工时费
     */
    @TableField("charge")
    private String charge;

    /**
     * 维修故障描述
     */
    @TableField("worker_fault_description")
    private String workerFaultDescription;

    /**
     * 现场描述
     */
    @TableField("field_description")
    private String fieldDescription;

    /**
     * 维修过程
     */
    @TableField("repair_procedure")
    private String repairProcedure;

    /**
     * 维修人ID(电梯负责人)
     */
    @TableField("worker_id")
    private Long workerId;

    /**
     * 维修人电话
     */
    @TableField("worker_tel")
    private String workerTel;

    /**
     * 签到位置
     */
    @TableField("position")
    private String position;

    /**
     * 旧状态（0 待完成；1 已签到，待修理；2 已修理；3 待评价；4 完成）
     * 新状态（-1 暂停中，0 待修理；1 修理中；2 已完成 3 已关闭）
     * 待修理:派单之后 接单之前,修理中:接单到提交,已完成:提交之后
     */
    @TableField("status")
    private Integer status;

    /**
     * 创建人ID 召修人就是发起人，是创建急修的人
     */
    @TableField("creator_id")
    private Long creatorId;

    /**
     * 已读时间
     */
    @TableField("read_time")
    private LocalDateTime readTime;
    /**
     * 创建时间
     */
    @TableField("create_date")
    private LocalDateTime createDate;

    /**
     * 急修原因（0 其他；1 停电；2 故障）
     */
    @TableField("repair_reason")
    private Integer repairReason;

    /**
     * 配件费
     */
    @TableField("parts_cost")
    private BigDecimal partsCost;

    /**
     * 安全项
     */
    @TableField("safety_confirm")
    private String safetyConfirm;

    /**
     * 当前维修的维保工
     */
    @TableField("worker_id1")
    private Long workerId1;

    /**
     * 物联楼层
     */
    @TableField("wl_floor")
    private Integer wlFloor;

    /**
     * 物联电梯门
     */
    @TableField("wl_liftdoor")
    private Integer wlLiftdoor;

    /**
     * 物联故障名称
     */
    @TableField("wl_fault")
    private String wlFault;

    /**
     * 物联故障原因
     */
    @TableField("wl_fault_reason")
    private String wlFaultReason;

    /**
     * 物联故障处理
     */
    @TableField("wl_fault_handle")
    private String wlFaultHandle;

    /**
     * 物联运行描述
     */
    @TableField("wl_run_direction")
    private Integer wlRunDirection;

    /**
     * 急修费用总和
     */
    @TableField("cost_total")
    private BigDecimal costTotal;
    /**
     * 急修关闭原因
     */
    @TableField("close_reason")
    private String closeReason;

    /**
     * 故障部位
     */
    @TableField("fault_part")
    private String faultPart;
    /**
     * 故障原因
     */
    @TableField("fault_reason")
    private String faultReason;
    /**
     * 故障处理
     */
    @TableField("fault_handle")
    private String faultHandle;
    /**
     * 故障性质
     */
    @TableField("fault_nature")
    private String faultNature;
    /**
     * 故障责任
     */
    @TableField("fault_duty")
    private String faultDuty;
    /**
     * 主要急修人签名 完成急修单添加
     */
    @TableField("main_sign")
    private String mainSign;
    /**
     * 次要急修人签名
     */
    @TableField("second_sign")
    private String secondSign;
    /**
     * 客户签名， 评价中添加
     */
    @TableField("customer_sign")
    private String customerSign;
}
