package cn.com.ty.lift.business.evaluation.service;

import cn.com.ty.lift.business.evaluation.dao.entity.Evaluation;
import cn.com.ty.lift.business.evaluation.dao.entity.model.EvaluationRequest;
import cn.com.ty.lift.business.evaluation.dao.mapper.EvaluationMapper;
import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 保养单用户评价 服务实现类
 * </p>
 *
 * @author huangyuan
 * @since 2019-12-31
 */
@Service
public class EvaluationService extends ServiceImpl<EvaluationMapper, Evaluation> {

    public RestResponse saveEvaluation(EvaluationRequest evaluationRequest) {
        Evaluation evaluation = new Evaluation(evaluationRequest);
        evaluation.setPostDate(LocalDateTime.now());
        this.save(evaluation);
        return RestResponse.success(null, ApiConstants.RESULT_SUCCESS, "评价成功");
    }

    public Evaluation findByRecord(Long recordId){
        QueryWrapper<Evaluation> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<Evaluation> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(Evaluation::getRecordId,recordId);
        lambdaQueryWrapper.last("LIMIT 1");
        return getOne(lambdaQueryWrapper);
    }
}
