package cn.com.ty.lift.business.library.controller;

import cn.com.ty.lift.business.common.MultipartFileToFile;
import cn.com.ty.lift.business.library.dao.entity.model.LiftImportModel;
import cn.com.ty.lift.business.library.service.LiftService;
import cn.com.xwy.boot.web.dto.RestResponse;
import cn.hutool.core.util.StrUtil;
import cn.hutool.poi.excel.ExcelReader;
import cn.hutool.poi.excel.ExcelUtil;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.File;
import java.util.List;

/**
 * @author wcz
 * @date 2019/12/27
 * @description 电梯导入
 */
@RestController
@AllArgsConstructor
@RequestMapping("lift")
public class LiftImportController {

    private LiftService liftService;


    @PostMapping("import")
    public RestResponse importData(@RequestBody MultipartFile file, Long mtCompanyId, Long projectId) throws Exception{
        if(null == file || null == mtCompanyId || mtCompanyId <= 0){
            return RestResponse.failParam();
        }
        // 1 检查文件有效性
        // 获取文件名，带后缀
        String originalFilename = file.getOriginalFilename();
        // 获取文件的后缀格式
        String fileSuffix = originalFilename.substring(originalFilename.lastIndexOf(".") + 1).toLowerCase();
        if(!StrUtil.equalsAny(fileSuffix,"xls","xlsx")){
            return RestResponse.fail("文件格式不支持，暂时只支持xls,xlsx");
        }
        // 2 解析文件，转换成bean
        File excel = MultipartFileToFile.multipartFileToFile(file);
        ExcelReader reader = ExcelUtil.getReader(excel);
        List<LiftImportModel> liftImportModels = reader.read(0,2,reader.getRowCount(),LiftImportModel.class);

        return liftService.assemble(liftImportModels,mtCompanyId,projectId);
    }

    @PostMapping("parse")
    public RestResponse parse(){
        File file = new File("d:/tyu/电梯导入模板1.xlsx");
        ExcelReader reader = ExcelUtil.getReader(file);
        List<LiftImportModel> liftImportModels = reader.read(0,2,reader.getRowCount(),LiftImportModel.class);

        return liftService.assemble(liftImportModels,1l,1l);
    }
}
