package cn.com.ty.lift.quan.pay.controller;


import cn.com.ty.lift.common.aliservice.alipay.AlipayUtil;
import cn.com.ty.lift.quan.pay.dao.entity.Pay;
import cn.com.ty.lift.quan.pay.dao.entity.model.PayReq;
import cn.com.ty.lift.quan.pay.service.impl.PayServiceImpl;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.alipay.api.AlipayApiException;
import com.alipay.api.internal.util.AlipayUtils;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 用户资金表 前端控制器
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-26
 */
@RestController
@RequestMapping("/pay")
@AllArgsConstructor
public class PayController {
    private final PayServiceImpl payService;

    /**
     * @param
     * @return
     * @description 绑定/换绑支付宝账号
     * @date 2019/12/26 14:28
     */
    @PostMapping("/bind")
    public RestResponse bind(@RequestBody Pay req) {
        return payService.bind(req);
    }

    @PostMapping("/info")
    public RestResponse balance(@RequestBody Pay pay) {
        Pay byId = payService.getById(pay.getUserId());
        if (byId == null) {
            return RestResponse.fail("用户未绑定支付宝账号");
        }
        return RestResponse.success(byId);
    }

    /**
     * @return
     * @description 创建订单
     * @date 2019/12/26 16:05
     * // @param type 1创建充值订单 2提现审核订单
     */
    @PostMapping("/create")
    public RestResponse pay(@RequestBody PayReq req) throws AlipayApiException {
        return payService.pay(req);
    }

    /**
     * @return 操作结果
     * @description 审核订单
     * @date 2019/12/30 14:03
     * // @param 商家自定义订单号
     */
    @PostMapping("/order")
    public RestResponse order(@RequestBody PayReq req) throws AlipayApiException {
        return payService.order(req);
    }

    /**
     * @return 操作结果
     * @description 取消订单
     * @date 2019/12/30 14:05
     * //@param 订单号
     */
    @PostMapping("/cancel")
    public RestResponse cancel(@RequestBody PayReq req) throws AlipayApiException {
        return payService.cancel(req);
    }

    @PostMapping("/order/list")
    public RestResponse orders(@RequestBody PayReq req) {
        return payService.orders(req);
    }
}