package cn.com.ty.lift.system.banner.service.impl;

import cn.com.ty.lift.common.utils.AliyunOSSUtil;
import cn.com.ty.lift.system.banner.dao.entity.BannerImage;
import cn.com.ty.lift.system.banner.dao.mapper.BannerImageMapper;
import cn.com.ty.lift.system.banner.service.BannerImageService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * <p>
 * banner图管理 服务实现类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-31
 */
@Service
public class BannerImageServiceImpl extends ServiceImpl<BannerImageMapper, BannerImage> implements BannerImageService {

    public RestResponse upFile(Long id, MultipartFile file) {
        String originalFilename = file.getOriginalFilename();
        if (originalFilename != null && originalFilename.contains(".")) {
            String fileName = IdWorker.getIdStr()
                    + "."
                    + originalFilename.substring(file.getOriginalFilename().lastIndexOf(".") + 1);
            //阿里云OSS操作结果
            boolean result = false;
            try {
                result = new AliyunOSSUtil().putObject("temp15827479607", file.getBytes(), fileName);
            } catch (IOException e) {
                e.printStackTrace();
            }
            //如果保存成功
            if (result) {
                BannerImage banner = new BannerImage();
                banner.setId(id).setName(fileName);
                this.updateById(banner);
                return RestResponse.success(fileName, "成功");
            }
            return RestResponse.fail();
        }
        return RestResponse.failParam();
    }
}
